# Prerequisites

{% hint style="info" %} <mark style="color:blue;">**Default HTTP Request Headers**</mark>
{% endhint %}

<table data-full-width="false"><thead><tr><th width="154.33333333333331">Header</th><th width="213">Value</th><th>Note</th></tr></thead><tbody><tr><td>Authorization</td><td>Bearer &#x3C;<a href="/pages/gHpNuhwKMcT1rbQFAZSK">access_token</a>></td><td><em>For all APIs, excluding</em> <a href="/pages/gHpNuhwKMcT1rbQFAZSK"><em>Authenticate API</em></a></td></tr><tr><td>Content-Type</td><td>application/json</td><td><em>Request / Response Payloads in JSON</em></td></tr><tr><td>uuid</td><td>&#x3C;valid_uuid_v4></td><td><em>Optional reference, follows uuid-v4 format</em></td></tr></tbody></table>

{% hint style="warning" %} <mark style="color:orange;">**All HTTP Methods**</mark> **POST**
{% endhint %}

{% hint style="warning" %} <mark style="color:red;">**All HTTP Body Format**</mark>**&#x20;JSON**
{% endhint %}

{% hint style="info" %}
**For API Responses:**

Note that if you send the uuid in the Request Headers, you will get it back in the reponse body, else an autogenerated uuid will be returned.\
UUIDs are beneficial for tracing and support purpose.&#x20;
{% endhint %}

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><strong>Status Codes:</strong></td><td><ul><li><strong>200 OK</strong>: <em>Call Executed</em> </li><li><strong>Other</strong> Status Codes: network/protocols, or unexpected non business errors</li></ul></td><td></td></tr><tr><td><strong>Business Success:</strong> </td><td><ul><li>JSON Result:</li></ul><p>{ </p><p>    "<strong>success</strong>": { </p><p>        "message": "&#x3C;msg>", </p><p>        "data": &#x3C;json> </p><p>    },<br>    "<strong>uuid</strong>" : "&#x3C;uuid_v4>" </p><p>}</p></td><td></td></tr><tr><td><strong>Business Error:</strong> </td><td><ul><li>JSON Result:</li></ul><p>{ </p><p>    "<strong>error</strong>": { </p><p>        "message": "&#x3C;msg>", </p><p>        "data": &#x3C;json> </p><p>    },</p><p>    "<strong>uuid</strong>" : "&#x3C;uuid_v4>" </p><p>}</p></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xpay.stream/prerequisites.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
